Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions
tlp::OpenGlErrorViewer Class Reference

Class used to display OpenGl errors. More...

`#include <OpenGlErrorViewer.h>`

List of all members.

## Public Member Functions

- virtual ~OpenGlErrorViewer ()
- virtual void displayError (const std::string &title, const std::string &errorMsg)
- virtual void displayErrorWithAskAgain (const std::string &title, const std::string &errorMsg)

## Detailed Description

Class used to display OpenGl errors.

Class used to display OpenGl errors

## Constructor & Destructor Documentation

virtual tlp::OpenGlErrorViewer::~OpenGlErrorViewer | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual void tlp::OpenGlErrorViewer::displayError | ( | const std::string & | title,
|  | const std::string & | errorMsg
| ) |  | `[inline, virtual]`

Simple error display with cerr output

virtual void tlp::OpenGlErrorViewer::displayErrorWithAskAgain | ( | const std::string & | title,
|  | const std::string & | errorMsg
| ) |  | `[inline, virtual]`

Simple error display with cerr output

Tulip Software by LaBRI Visualization Team 2001 - 2012